[@rxap/data-source](../wiki/globals) / RxapDataSource

# Function: RxapDataSource()

> **RxapDataSource**\<`Metadata`\>(`dataSourceIdOrMetadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:331](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/base.data-source.ts#L331)

## Type Parameters

• **Metadata** *extends* [`BaseDataSourceMetadata`](../wiki/Interface.BaseDataSourceMetadata)

## Parameters

### dataSourceIdOrMetadata

`string` | `Metadata`

### className

`string` = `'BaseDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`BaseDataSource`](../wiki/Class.BaseDataSource)\<`any`, [`BaseDataSourceMetadata`](../wiki/Interface.BaseDataSourceMetadata), [`BaseDataSourceViewer`](../wiki/Interface.BaseDataSourceViewer)\<`any`\>\>\>

### Returns

`void`
